Available in VPC
Download the connection information of the blockchain network organization orderer node as a JSON format file.
Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | /api/v1/networks/{networkId}/orderers/{ordererId}/export (Korea Region) |
| GET | /api/sgn-v1/networks/{networkId}/orderers/{ordererId}/export (Singapore Region) |
Request headers
For information about the headers common to all Blockchain Service APIs, see Blockchain Service request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
networkId |
Long | Required | Network ID
|
ordererId |
String | Required | Orderer ID
|
Request example
The following is a sample request.
curl --location --request GET 'https://blockchainservice.apigw.ntruss.com/api/v1/networks/{networkId}/orderers/{ordererId}/export' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'
Response
The following describes the response format.
Response body
The following describes the response body.
| Field | Type | Required | Description |
|---|---|---|---|
tls_root_certs |
String | - | Root TLS certificate information |
network_id |
Long | - | Network ID |
orderer_id |
Long | - | Orderer ID |
node_name |
String | - | Orderer node name |
msp_id |
String | - | Orderer MSP ID |
msp_name |
String | - | Orderer MSP name |
type |
String | - | Orderer configuration type
|
version |
Integer | - | Orderer configuration version
|
end_point_url |
String | - | Orderer's endpoint URL address
|
Response status codes
For information about the HTTP status codes common to all Blockchain Service APIs, see Blockchain Service response status codes.
Response example
The following is a sample example.
If orderer configuration is single-node (RAFT_1) type
The following is a sample response when the orderer configuration is the single-node (RAFT_1) type.
{
"tls_root_certs" : "{tls_root_certs}",
"network_id" : 1630,
"orderer_id" : "25728701",
"node_name" : "test-orderer",
"msp_id" : "test-msp",
"msp_name" : "test-msp",
"type" : "RAFT_1",
"version" : "1",
"end_point_url" : "[test-orderer1-******-***-ord.bc-gryy4rew.kr.blockchain.naverncp.com]"
}
If orderer configuration is multi-node (RAFT_5) type
The following is a sample response when the orderer configuration is the multi-node (RAFT_5) type.
{
"tls_root_certs" : "{tls_root_certs}",
"network_id" : 1630,
"orderer_id" : "24739528",
"node_name" : "test-orderer2",
"msp_id" : "test-msp",
"msp_name" : "test-msp",
"type" : "RAFT_5",
"version" : "5",
"end_point_url" : "[test-orderer25-******-***-ord.bc-gryy4rew.kr.blockchain.naverncp.com, test-orderer23-******-***-ord.bc-gryy4rew.kr.blockchain.naverncp.com, test-orderer21-******-***-ord.bc-gryy4rew.kr.blockchain.naverncp.com, test-orderer24-******-***-ord.bc-gryy4rew.kr.blockchain.naverncp.com, test-orderer22-******-***-ord.bc-gryy4rew.kr.blockchain.naverncp.com]"
}